import java.util.Scanner;

public class Main {

    // 判断一个数是否为素数
    public static boolean isPrime(long num) {
        if (num <= 1) return false; // 1 不是素数
        if (num == 2) return true;  // 2 是素数
        if (num % 2 == 0) return false; // 偶数且不是 2 的话，必定不是素数
        for (long i = 3; i  <= num/i; i += 2) { // 只需要遍历到 num 的平方根
            if (num % i == 0) return false;
        }
        return true;
    }

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int N = sc.nextInt(); // 输入 N
        for (int i = 0; i < N; i++) {
            long ai = sc.nextLong(); // 输入每个数
            if (isPrime(ai)) {
                System.out.println("Yes");
            } else {
                System.out.println("No");
            }
        }
        sc.close();
    }
}